Imported Upstream version 1.4.6
[platform/upstream/harfbuzz.git] / test / shaping / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
20 am__make_running_with_option = \
21   case $${target_option-} in \
22       ?) ;; \
23       *) echo "am__make_running_with_option: internal error: invalid" \
24               "target option '$${target_option-}' specified" >&2; \
25          exit 1;; \
26   esac; \
27   has_opt=no; \
28   sane_makeflags=$$MAKEFLAGS; \
29   if $(am__is_gnu_make); then \
30     sane_makeflags=$$MFLAGS; \
31   else \
32     case $$MAKEFLAGS in \
33       *\\[\ \   ]*) \
34         bs=\\; \
35         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
36           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
37     esac; \
38   fi; \
39   skip_next=no; \
40   strip_trailopt () \
41   { \
42     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
43   }; \
44   for flg in $$sane_makeflags; do \
45     test $$skip_next = yes && { skip_next=no; continue; }; \
46     case $$flg in \
47       *=*|--*) continue;; \
48         -*I) strip_trailopt 'I'; skip_next=yes;; \
49       -*I?*) strip_trailopt 'I';; \
50         -*O) strip_trailopt 'O'; skip_next=yes;; \
51       -*O?*) strip_trailopt 'O';; \
52         -*l) strip_trailopt 'l'; skip_next=yes;; \
53       -*l?*) strip_trailopt 'l';; \
54       -[dEDm]) skip_next=yes;; \
55       -[JT]) skip_next=yes;; \
56     esac; \
57     case $$flg in \
58       *$$target_option*) has_opt=yes; break;; \
59     esac; \
60   done; \
61   test $$has_opt = yes
62 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
63 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
64 pkgdatadir = $(datadir)/@PACKAGE@
65 pkgincludedir = $(includedir)/@PACKAGE@
66 pkglibdir = $(libdir)/@PACKAGE@
67 pkglibexecdir = $(libexecdir)/@PACKAGE@
68 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69 install_sh_DATA = $(install_sh) -c -m 644
70 install_sh_PROGRAM = $(install_sh) -c
71 install_sh_SCRIPT = $(install_sh) -c
72 INSTALL_HEADER = $(INSTALL_DATA)
73 transform = $(program_transform_name)
74 NORMAL_INSTALL = :
75 PRE_INSTALL = :
76 POST_INSTALL = :
77 NORMAL_UNINSTALL = :
78 PRE_UNINSTALL = :
79 POST_UNINSTALL = :
80 build_triplet = @build@
81 host_triplet = @host@
82 TESTS = tests/arabic-fallback-shaping.tests \
83         tests/arabic-feature-order.tests \
84         tests/arabic-like-joining.tests \
85         tests/automatic-fractions.tests tests/cluster.tests \
86         tests/color-fonts.tests tests/context-matching.tests \
87         tests/cursive-positioning.tests tests/default-ignorables.tests \
88         tests/fallback-positioning.tests tests/fuzzed.tests \
89         tests/hangul-jamo.tests tests/hyphens.tests \
90         tests/indic-joiner-candrabindu.tests \
91         tests/indic-old-spec.tests tests/indic-pref-blocking.tests \
92         tests/language-tags.tests tests/ligature-id.tests \
93         tests/mark-filtering-sets.tests \
94         tests/mongolian-variation-selector.tests tests/spaces.tests \
95         tests/simple.tests tests/use.tests tests/use-marchen.tests \
96         tests/vertical.tests tests/zero-width-marks.tests \
97         $(am__EXEEXT_1)
98 subdir = test/shaping
99 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
100         $(top_srcdir)/test-driver
101 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
102 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_pthread.m4 \
103         $(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
104         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
105         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
106         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.ac
107 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
108         $(ACLOCAL_M4)
109 mkinstalldirs = $(install_sh) -d
110 CONFIG_HEADER = $(top_builddir)/config.h
111 CONFIG_CLEAN_FILES =
112 CONFIG_CLEAN_VPATH_FILES =
113 AM_V_P = $(am__v_P_@AM_V@)
114 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
115 am__v_P_0 = false
116 am__v_P_1 = :
117 AM_V_GEN = $(am__v_GEN_@AM_V@)
118 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
119 am__v_GEN_0 = @echo "  GEN     " $@;
120 am__v_GEN_1 = 
121 AM_V_at = $(am__v_at_@AM_V@)
122 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
123 am__v_at_0 = @
124 am__v_at_1 = 
125 SOURCES =
126 DIST_SOURCES =
127 am__can_run_installinfo = \
128   case $$AM_UPDATE_INFO_DIR in \
129     n|no|NO) false;; \
130     *) (install-info --version) >/dev/null 2>&1;; \
131   esac
132 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
133 am__tty_colors_dummy = \
134   mgn= red= grn= lgn= blu= brg= std=; \
135   am__color_tests=no
136 am__tty_colors = { \
137   $(am__tty_colors_dummy); \
138   if test "X$(AM_COLOR_TESTS)" = Xno; then \
139     am__color_tests=no; \
140   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
141     am__color_tests=yes; \
142   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
143     am__color_tests=yes; \
144   fi; \
145   if test $$am__color_tests = yes; then \
146     red='\e[0;31m'; \
147     grn='\e[0;32m'; \
148     lgn='\e[1;32m'; \
149     blu='\e[1;34m'; \
150     mgn='\e[0;35m'; \
151     brg='\e[1m'; \
152     std='\e[m'; \
153   fi; \
154 }
155 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
156 am__vpath_adj = case $$p in \
157     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
158     *) f=$$p;; \
159   esac;
160 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
161 am__install_max = 40
162 am__nobase_strip_setup = \
163   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
164 am__nobase_strip = \
165   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
166 am__nobase_list = $(am__nobase_strip_setup); \
167   for p in $$list; do echo "$$p $$p"; done | \
168   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
169   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
170     if (++n[$$2] == $(am__install_max)) \
171       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
172     END { for (dir in files) print dir, files[dir] }'
173 am__base_list = \
174   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
175   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
176 am__uninstall_files_from_dir = { \
177   test -z "$$files" \
178     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
179     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
180          $(am__cd) "$$dir" && rm -f $$files; }; \
181   }
182 am__recheck_rx = ^[     ]*:recheck:[    ]*
183 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
184 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
185 # A command that, given a newline-separated list of test names on the
186 # standard input, print the name of the tests that are to be re-run
187 # upon "make recheck".
188 am__list_recheck_tests = $(AWK) '{ \
189   recheck = 1; \
190   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
191     { \
192       if (rc < 0) \
193         { \
194           if ((getline line2 < ($$0 ".log")) < 0) \
195             recheck = 0; \
196           break; \
197         } \
198       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
199         { \
200           recheck = 0; \
201           break; \
202         } \
203       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
204         { \
205           break; \
206         } \
207     }; \
208   if (recheck) \
209     print $$0; \
210   close ($$0 ".trs"); \
211   close ($$0 ".log"); \
212 }'
213 # A command that, given a newline-separated list of test names on the
214 # standard input, create the global log from their .trs and .log files.
215 am__create_global_log = $(AWK) ' \
216 function fatal(msg) \
217 { \
218   print "fatal: making $@: " msg | "cat >&2"; \
219   exit 1; \
220 } \
221 function rst_section(header) \
222 { \
223   print header; \
224   len = length(header); \
225   for (i = 1; i <= len; i = i + 1) \
226     printf "="; \
227   printf "\n\n"; \
228 } \
229 { \
230   copy_in_global_log = 1; \
231   global_test_result = "RUN"; \
232   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
233     { \
234       if (rc < 0) \
235          fatal("failed to read from " $$0 ".trs"); \
236       if (line ~ /$(am__global_test_result_rx)/) \
237         { \
238           sub("$(am__global_test_result_rx)", "", line); \
239           sub("[        ]*$$", "", line); \
240           global_test_result = line; \
241         } \
242       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
243         copy_in_global_log = 0; \
244     }; \
245   if (copy_in_global_log) \
246     { \
247       rst_section(global_test_result ": " $$0); \
248       while ((rc = (getline line < ($$0 ".log"))) != 0) \
249       { \
250         if (rc < 0) \
251           fatal("failed to read from " $$0 ".log"); \
252         print line; \
253       }; \
254       printf "\n"; \
255     }; \
256   close ($$0 ".trs"); \
257   close ($$0 ".log"); \
258 }'
259 # Restructured Text title.
260 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
261 # Solaris 10 'make', and several other traditional 'make' implementations,
262 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
263 # by disabling -e (using the XSI extension "set +e") if it's set.
264 am__sh_e_setup = case $$- in *e*) set +e;; esac
265 # Default flags passed to test drivers.
266 am__common_driver_flags = \
267   --color-tests "$$am__color_tests" \
268   --enable-hard-errors "$$am__enable_hard_errors" \
269   --expect-failure "$$am__expect_failure"
270 # To be inserted before the command running the test.  Creates the
271 # directory for the log if needed.  Stores in $dir the directory
272 # containing $f, in $tst the test, in $log the log.  Executes the
273 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
274 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
275 # will run the test scripts (or their associated LOG_COMPILER, if
276 # thy have one).
277 am__check_pre = \
278 $(am__sh_e_setup);                                      \
279 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
280 $(am__tty_colors);                                      \
281 srcdir=$(srcdir); export srcdir;                        \
282 case "$@" in                                            \
283   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
284     *) am__odir=.;;                                     \
285 esac;                                                   \
286 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
287   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
288 if test -f "./$$f"; then dir=./;                        \
289 elif test -f "$$f"; then dir=;                          \
290 else dir="$(srcdir)/"; fi;                              \
291 tst=$$dir$$f; log='$@';                                 \
292 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
293   am__enable_hard_errors=no;                            \
294 else                                                    \
295   am__enable_hard_errors=yes;                           \
296 fi;                                                     \
297 case " $(XFAIL_TESTS) " in                              \
298   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
299     am__expect_failure=yes;;                            \
300   *)                                                    \
301     am__expect_failure=no;;                             \
302 esac;                                                   \
303 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
304 # A shell command to get the names of the tests scripts with any registered
305 # extension removed (i.e., equivalently, the names of the test logs, with
306 # the '.log' extension removed).  The result is saved in the shell variable
307 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
308 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
309 # since that might cause problem with VPATH rewrites for suffix-less tests.
310 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
311 am__set_TESTS_bases = \
312   bases='$(TEST_LOGS)'; \
313   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
314   bases=`echo $$bases`
315 RECHECK_LOGS = $(TEST_LOGS)
316 AM_RECURSIVE_TARGETS = check recheck
317 am__EXEEXT_1 =
318 TEST_SUITE_LOG = test-suite.log
319 am__test_logs1 = $(TESTS:=.log)
320 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
321 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
322 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
323 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
324         $(TESTS_LOG_FLAGS)
325 am__set_b = \
326   case '$@' in \
327     */*) \
328       case '$*' in \
329         */*) b='$*';; \
330           *) b=`echo '$@' | sed 's/\.log$$//'`; \
331        esac;; \
332     *) \
333       b='$*';; \
334   esac
335 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
336 ACLOCAL = @ACLOCAL@
337 AMTAR = @AMTAR@
338 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
339 AR = @AR@
340 AUTOCONF = @AUTOCONF@
341 AUTOHEADER = @AUTOHEADER@
342 AUTOMAKE = @AUTOMAKE@
343 AWK = @AWK@
344 CAIRO_CFLAGS = @CAIRO_CFLAGS@
345 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
346 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
347 CAIRO_LIBS = @CAIRO_LIBS@
348 CC = @CC@
349 CCDEPMODE = @CCDEPMODE@
350 CFLAGS = @CFLAGS@
351 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
352 CORETEXT_LIBS = @CORETEXT_LIBS@
353 CPP = @CPP@
354 CPPFLAGS = @CPPFLAGS@
355 CXX = @CXX@
356 CXXCPP = @CXXCPP@
357 CXXDEPMODE = @CXXDEPMODE@
358 CXXFLAGS = @CXXFLAGS@
359 CYGPATH_W = @CYGPATH_W@
360 DEFS = @DEFS@
361 DEPDIR = @DEPDIR@
362 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
363 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
364 DLLTOOL = @DLLTOOL@
365 DSYMUTIL = @DSYMUTIL@
366 DUMPBIN = @DUMPBIN@
367 ECHO_C = @ECHO_C@
368 ECHO_N = @ECHO_N@
369 ECHO_T = @ECHO_T@
370 EGREP = @EGREP@
371 EXEEXT = @EXEEXT@
372 FGREP = @FGREP@
373 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
374 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
375 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
376 FREETYPE_DEPS = @FREETYPE_DEPS@
377 FREETYPE_LIBS = @FREETYPE_LIBS@
378 GIT = @GIT@
379 GLIB_CFLAGS = @GLIB_CFLAGS@
380 GLIB_DEPS = @GLIB_DEPS@
381 GLIB_LIBS = @GLIB_LIBS@
382 GLIB_MKENUMS = @GLIB_MKENUMS@
383 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
384 GOBJECT_LIBS = @GOBJECT_LIBS@
385 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
386 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
387 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
388 GREP = @GREP@
389 GTKDOC_CHECK = @GTKDOC_CHECK@
390 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
391 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
392 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
393 GTKDOC_MKPDF = @GTKDOC_MKPDF@
394 GTKDOC_REBASE = @GTKDOC_REBASE@
395 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
396 HB_VERSION = @HB_VERSION@
397 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
398 HB_VERSION_MICRO = @HB_VERSION_MICRO@
399 HB_VERSION_MINOR = @HB_VERSION_MINOR@
400 HTML_DIR = @HTML_DIR@
401 ICU_CFLAGS = @ICU_CFLAGS@
402 ICU_CONFIG = @ICU_CONFIG@
403 ICU_LIBS = @ICU_LIBS@
404 INSTALL = @INSTALL@
405 INSTALL_DATA = @INSTALL_DATA@
406 INSTALL_PROGRAM = @INSTALL_PROGRAM@
407 INSTALL_SCRIPT = @INSTALL_SCRIPT@
408 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
409 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
410 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
411 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
412 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
413 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
414 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
415 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
416 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
417 LD = @LD@
418 LDFLAGS = @LDFLAGS@
419 LIBOBJS = @LIBOBJS@
420 LIBS = @LIBS@
421 LIBTOOL = @LIBTOOL@
422 LIPO = @LIPO@
423 LN_S = @LN_S@
424 LTLIBOBJS = @LTLIBOBJS@
425 MAKEINFO = @MAKEINFO@
426 MANIFEST_TOOL = @MANIFEST_TOOL@
427 MKDIR_P = @MKDIR_P@
428 NM = @NM@
429 NMEDIT = @NMEDIT@
430 OBJDUMP = @OBJDUMP@
431 OBJEXT = @OBJEXT@
432 OTOOL = @OTOOL@
433 OTOOL64 = @OTOOL64@
434 PACKAGE = @PACKAGE@
435 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
436 PACKAGE_NAME = @PACKAGE_NAME@
437 PACKAGE_STRING = @PACKAGE_STRING@
438 PACKAGE_TARNAME = @PACKAGE_TARNAME@
439 PACKAGE_URL = @PACKAGE_URL@
440 PACKAGE_VERSION = @PACKAGE_VERSION@
441 PATH_SEPARATOR = @PATH_SEPARATOR@
442 PKG_CONFIG = @PKG_CONFIG@
443 PTHREAD_CC = @PTHREAD_CC@
444 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
445 PTHREAD_LIBS = @PTHREAD_LIBS@
446 RAGEL = @RAGEL@
447 RANLIB = @RANLIB@
448 SED = @SED@
449 SET_MAKE = @SET_MAKE@
450 SHELL = @SHELL@
451 STRIP = @STRIP@
452 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
453 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
454 VERSION = @VERSION@
455 abs_builddir = @abs_builddir@
456 abs_srcdir = @abs_srcdir@
457 abs_top_builddir = @abs_top_builddir@
458 abs_top_srcdir = @abs_top_srcdir@
459 ac_ct_AR = @ac_ct_AR@
460 ac_ct_CC = @ac_ct_CC@
461 ac_ct_CXX = @ac_ct_CXX@
462 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
463 am__include = @am__include@
464 am__leading_dot = @am__leading_dot@
465 am__quote = @am__quote@
466 am__tar = @am__tar@
467 am__untar = @am__untar@
468 ax_pthread_config = @ax_pthread_config@
469 bindir = @bindir@
470 build = @build@
471 build_alias = @build_alias@
472 build_cpu = @build_cpu@
473 build_os = @build_os@
474 build_vendor = @build_vendor@
475 builddir = @builddir@
476 datadir = @datadir@
477 datarootdir = @datarootdir@
478 docdir = @docdir@
479 dvidir = @dvidir@
480 exec_prefix = @exec_prefix@
481 host = @host@
482 host_alias = @host_alias@
483 host_cpu = @host_cpu@
484 host_os = @host_os@
485 host_vendor = @host_vendor@
486 htmldir = @htmldir@
487 includedir = @includedir@
488 infodir = @infodir@
489 install_sh = @install_sh@
490 libdir = @libdir@
491 libexecdir = @libexecdir@
492 localedir = @localedir@
493 localstatedir = @localstatedir@
494 mandir = @mandir@
495 mkdir_p = @mkdir_p@
496 oldincludedir = @oldincludedir@
497 pdfdir = @pdfdir@
498 prefix = @prefix@
499 program_transform_name = @program_transform_name@
500 psdir = @psdir@
501 sbindir = @sbindir@
502 sharedstatedir = @sharedstatedir@
503 srcdir = @srcdir@
504 sysconfdir = @sysconfdir@
505 target_alias = @target_alias@
506 top_build_prefix = @top_build_prefix@
507 top_builddir = @top_builddir@
508 top_srcdir = @top_srcdir@
509 NULL = 
510
511 # TODO Figure out Python stuff
512 EXTRA_DIST = README.md hb-diff hb-diff-colorize \
513         hb-diff-filter-failures hb-diff-ngrams hb-diff-stat \
514         hb-manifest-read hb-manifest-update hb-unicode-decode \
515         hb-unicode-encode hb-unicode-prettyname record-test.sh \
516         run-tests.sh texts/in-tree fonts/sha1sum $(TESTS) $(NULL) \
517         hb_test_tools.py $(NULL)
518 CLEANFILES = hb_test_tools.py[co] $(NULL)
519 DISTCLEANFILES = 
520 MAINTAINERCLEANFILES = 
521 TEST_EXTENSIONS = \
522         .tests \
523         $(NULL)
524
525 AM_TESTS_ENVIRONMENT = \
526         EXEEXT="$(EXEEXT)"; \
527         export EXEEXT; \
528         srcdir="$(srcdir)"; \
529         export srcdir; \
530         builddir="$(builddir)"; \
531         export builddir; \
532         $(NULL)
533
534 @AUTOMAKE_OLDER_THAN_1_13_TRUE@TESTS_ENVIRONMENT = \
535 @AUTOMAKE_OLDER_THAN_1_13_TRUE@ $(AM_TESTS_ENVIRONMENT) \
536 @AUTOMAKE_OLDER_THAN_1_13_TRUE@ $(TESTS_LOG_COMPILER) \
537 @AUTOMAKE_OLDER_THAN_1_13_TRUE@ $(NULL)
538
539 TESTS_LOG_COMPILER = sh $(srcdir)/run-tests.sh
540 all: all-am
541
542 .SUFFIXES:
543 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
544 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
545         @for dep in $?; do \
546           case '$(am__configure_deps)' in \
547             *$$dep*) \
548               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
549                 && { if test -f $@; then exit 0; else break; fi; }; \
550               exit 1;; \
551           esac; \
552         done; \
553         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/shaping/Makefile'; \
554         $(am__cd) $(top_srcdir) && \
555           $(AUTOMAKE) --gnits test/shaping/Makefile
556 .PRECIOUS: Makefile
557 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
558         @case '$?' in \
559           *config.status*) \
560             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
561           *) \
562             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
563             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
564         esac;
565
566 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
567         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
568
569 $(top_srcdir)/configure:  $(am__configure_deps)
570         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
571 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
572         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
573 $(am__aclocal_m4_deps):
574
575 mostlyclean-libtool:
576         -rm -f *.lo
577
578 clean-libtool:
579         -rm -rf .libs _libs
580 tags TAGS:
581
582 ctags CTAGS:
583
584 cscope cscopelist:
585
586
587 # Recover from deleted '.trs' file; this should ensure that
588 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
589 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
590 # to avoid problems with "make -n".
591 .log.trs:
592         rm -f $< $@
593         $(MAKE) $(AM_MAKEFLAGS) $<
594
595 # Leading 'am--fnord' is there to ensure the list of targets does not
596 # expand to empty, as could happen e.g. with make check TESTS=''.
597 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
598 am--force-recheck:
599         @:
600
601 $(TEST_SUITE_LOG): $(TEST_LOGS)
602         @$(am__set_TESTS_bases); \
603         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
604         redo_bases=`for i in $$bases; do \
605                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
606                     done`; \
607         if test -n "$$redo_bases"; then \
608           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
609           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
610           if $(am__make_dryrun); then :; else \
611             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
612           fi; \
613         fi; \
614         if test -n "$$am__remaking_logs"; then \
615           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
616                "recursion detected" >&2; \
617         else \
618           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
619         fi; \
620         if $(am__make_dryrun); then :; else \
621           st=0;  \
622           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
623           for i in $$redo_bases; do \
624             test -f $$i.trs && test -r $$i.trs \
625               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
626             test -f $$i.log && test -r $$i.log \
627               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
628           done; \
629           test $$st -eq 0 || exit 1; \
630         fi
631         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
632         ws='[   ]'; \
633         results=`for b in $$bases; do echo $$b.trs; done`; \
634         test -n "$$results" || results=/dev/null; \
635         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
636         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
637         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
638         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
639         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
640         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
641         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
642         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
643           success=true; \
644         else \
645           success=false; \
646         fi; \
647         br='==================='; br=$$br$$br$$br$$br; \
648         result_count () \
649         { \
650             if test x"$$1" = x"--maybe-color"; then \
651               maybe_colorize=yes; \
652             elif test x"$$1" = x"--no-color"; then \
653               maybe_colorize=no; \
654             else \
655               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
656             fi; \
657             shift; \
658             desc=$$1 count=$$2; \
659             if test $$maybe_colorize = yes && test $$count -gt 0; then \
660               color_start=$$3 color_end=$$std; \
661             else \
662               color_start= color_end=; \
663             fi; \
664             echo "$${color_start}# $$desc $$count$${color_end}"; \
665         }; \
666         create_testsuite_report () \
667         { \
668           result_count $$1 "TOTAL:" $$all   "$$brg"; \
669           result_count $$1 "PASS: " $$pass  "$$grn"; \
670           result_count $$1 "SKIP: " $$skip  "$$blu"; \
671           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
672           result_count $$1 "FAIL: " $$fail  "$$red"; \
673           result_count $$1 "XPASS:" $$xpass "$$red"; \
674           result_count $$1 "ERROR:" $$error "$$mgn"; \
675         }; \
676         {                                                               \
677           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
678             $(am__rst_title);                                           \
679           create_testsuite_report --no-color;                           \
680           echo;                                                         \
681           echo ".. contents:: :depth: 2";                               \
682           echo;                                                         \
683           for b in $$bases; do echo $$b; done                           \
684             | $(am__create_global_log);                                 \
685         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
686         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
687         if $$success; then                                              \
688           col="$$grn";                                                  \
689          else                                                           \
690           col="$$red";                                                  \
691           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
692         fi;                                                             \
693         echo "$${col}$$br$${std}";                                      \
694         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
695         echo "$${col}$$br$${std}";                                      \
696         create_testsuite_report --maybe-color;                          \
697         echo "$$col$$br$$std";                                          \
698         if $$success; then :; else                                      \
699           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
700           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
701             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
702           fi;                                                           \
703           echo "$$col$$br$$std";                                        \
704         fi;                                                             \
705         $$success || exit 1
706
707 check-TESTS:
708         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
709         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
710         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
711         @set +e; $(am__set_TESTS_bases); \
712         log_list=`for i in $$bases; do echo $$i.log; done`; \
713         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
714         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
715         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
716         exit $$?;
717 recheck: all 
718         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
719         @set +e; $(am__set_TESTS_bases); \
720         bases=`for i in $$bases; do echo $$i; done \
721                  | $(am__list_recheck_tests)` || exit 1; \
722         log_list=`for i in $$bases; do echo $$i.log; done`; \
723         log_list=`echo $$log_list`; \
724         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
725                 am__force_recheck=am--force-recheck \
726                 TEST_LOGS="$$log_list"; \
727         exit $$?
728 .tests.log:
729         @p='$<'; \
730         $(am__set_b); \
731         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
732         --log-file $$b.log --trs-file $$b.trs \
733         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
734         "$$tst" $(AM_TESTS_FD_REDIRECT)
735 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
736 @am__EXEEXT_TRUE@       @p='$<'; \
737 @am__EXEEXT_TRUE@       $(am__set_b); \
738 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
739 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
740 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
741 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
742
743 distdir: $(DISTFILES)
744         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
745         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
746         list='$(DISTFILES)'; \
747           dist_files=`for file in $$list; do echo $$file; done | \
748           sed -e "s|^$$srcdirstrip/||;t" \
749               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
750         case $$dist_files in \
751           */*) $(MKDIR_P) `echo "$$dist_files" | \
752                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
753                            sort -u` ;; \
754         esac; \
755         for file in $$dist_files; do \
756           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
757           if test -d $$d/$$file; then \
758             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
759             if test -d "$(distdir)/$$file"; then \
760               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
761             fi; \
762             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
763               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
764               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
765             fi; \
766             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
767           else \
768             test -f "$(distdir)/$$file" \
769             || cp -p $$d/$$file "$(distdir)/$$file" \
770             || exit 1; \
771           fi; \
772         done
773 check-am: all-am
774         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
775 check: check-am
776 all-am: Makefile
777 installdirs:
778 install: install-am
779 install-exec: install-exec-am
780 install-data: install-data-am
781 uninstall: uninstall-am
782
783 install-am: all-am
784         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
785
786 installcheck: installcheck-am
787 install-strip:
788         if test -z '$(STRIP)'; then \
789           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
790             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
791               install; \
792         else \
793           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
794             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
795             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
796         fi
797 mostlyclean-generic:
798         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
799         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
800         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
801
802 clean-generic:
803         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
804
805 distclean-generic:
806         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
807         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
808         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
809
810 maintainer-clean-generic:
811         @echo "This command is intended for maintainers to use"
812         @echo "it deletes files that may require special tools to rebuild."
813         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
814 clean: clean-am
815
816 clean-am: clean-generic clean-libtool mostlyclean-am
817
818 distclean: distclean-am
819         -rm -f Makefile
820 distclean-am: clean-am distclean-generic
821
822 dvi: dvi-am
823
824 dvi-am:
825
826 html: html-am
827
828 html-am:
829
830 info: info-am
831
832 info-am:
833
834 install-data-am:
835
836 install-dvi: install-dvi-am
837
838 install-dvi-am:
839
840 install-exec-am:
841
842 install-html: install-html-am
843
844 install-html-am:
845
846 install-info: install-info-am
847
848 install-info-am:
849
850 install-man:
851
852 install-pdf: install-pdf-am
853
854 install-pdf-am:
855
856 install-ps: install-ps-am
857
858 install-ps-am:
859
860 installcheck-am:
861
862 maintainer-clean: maintainer-clean-am
863         -rm -f Makefile
864 maintainer-clean-am: distclean-am maintainer-clean-generic
865
866 mostlyclean: mostlyclean-am
867
868 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
869
870 pdf: pdf-am
871
872 pdf-am:
873
874 ps: ps-am
875
876 ps-am:
877
878 uninstall-am:
879
880 .MAKE: check-am install-am install-strip
881
882 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
883         clean-libtool cscopelist-am ctags-am distclean \
884         distclean-generic distclean-libtool distdir dvi dvi-am html \
885         html-am info info-am install install-am install-data \
886         install-data-am install-dvi install-dvi-am install-exec \
887         install-exec-am install-html install-html-am install-info \
888         install-info-am install-man install-pdf install-pdf-am \
889         install-ps install-ps-am install-strip installcheck \
890         installcheck-am installdirs maintainer-clean \
891         maintainer-clean-generic mostlyclean mostlyclean-generic \
892         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
893         uninstall uninstall-am
894
895
896 # Convenience targets:
897 lib:
898         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
899
900 manifests:
901         @$(srcdir)/hb-manifest-update "$(srcdir)/texts" "$(srcdir)/fonts" "$(srcdir)/tests"
902
903 .PHONY: manifests
904
905 -include $(top_srcdir)/git.mk
906
907 # Tell versions [3.59,3.63) of GNU make to not export all variables.
908 # Otherwise a system limit (for SysV at least) may be exceeded.
909 .NOEXPORT: